Subject: bug#45763: 27.1; fido-mode does not work with icomplete-in-buffer completion

From: Juri Linkov <[email-masked]>
Date: Tue, 28 Feb 2023 19:31:19 +0200

> I just realized the patch shown in this bug is my own, and there's no
> notice of what was done to fix this bug. Did you push my patch? Or
> something else?
>
> When I wrote it, it didn't work, according to the message.

Yes, your patch was pushed, and now it works.
Sorry for the typo in my previous message.

>     >> I fixed in-buffer completion in the commit a7a984c0ebe.
>     >> Now your patch works nicely in fido-mode,
>     >> so I pushed it was well, thanks.
>     >
>     > If this is effectively fixing things shouldn't it be in emacs-29?
>
>     I could backport to the emacs-29 branch if Eli agrees.